"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGlobalCryptoDriver = exports.GlobalCryptoDriver = void 0;
const default_driver_npm_js_1 = __importDefault(require("./default_driver.npm.js"));
//--------------------------------------------------
const log_js_1 = require("../util/log.js");
let logger = new log_js_1.Logger("crypto", "cyan");
//================================================================================
exports.GlobalCryptoDriver = default_driver_npm_js_1.default;
/** Set the crypto driver used for all cryptographic operations. */
function setGlobalCryptoDriver(driver) {
    logger.debug(`set global crypto driver: ${driver.name}`);
    exports.GlobalCryptoDriver = driver;
}
exports.setGlobalCryptoDriver = setGlobalCryptoDriver;
