/** This module is browser compatible. */
import { BinarySearchNode, Direction } from "./binary_search_node.js";
export type { Direction };
/**
 * @deprecated (will be removed after 0.157.0) use Direction instead
 */
export type { Direction as direction };
export declare class RedBlackNode<T> extends BinarySearchNode<T> {
    parent: RedBlackNode<T> | null;
    left: RedBlackNode<T> | null;
    right: RedBlackNode<T> | null;
    red: boolean;
    constructor(parent: RedBlackNode<T> | null, value: T);
    static from<T>(node: RedBlackNode<T>): RedBlackNode<T>;
}
