import { Deferred } from "../../../std@0.158.0/async/deferred.js";
/** A promise which can be teed off into more promises which will resolve when the original does. */
export declare class TeeableDeferred<ReturnType> {
    private deferreds;
    state: Deferred<void>["state"];
    resolve(value?: ReturnType): void;
    reject(reason?: unknown): void;
    tee(): Deferred<ReturnType>;
}
