import { Base32String } from "../util/doc-types.js";
/** Encode uint8array bytes to base32 string */
export declare function base32BytesToString(bytes: Uint8Array): Base32String;
/** Decode base32 string to a uint8array of bytes.  Throw a ValidationError if the string is bad. */
export declare function base32StringToBytes(str: Base32String): Uint8Array;
