import { ShareAddress } from "../util/doc-types.js";
import { IReplicaAttachmentDriver, IReplicaDocDriver, IReplicaDriver } from "./replica-types.js";
/** A replica driver which persists data to the filesystem. */
export declare class ReplicaDriverFs implements IReplicaDriver {
    docDriver: IReplicaDocDriver;
    attachmentDriver: IReplicaAttachmentDriver;
    constructor(shareAddress: ShareAddress, dirPath: string);
}
