import { ShareAddress } from "../util/doc-types.js";
import { IReplicaAttachmentDriver, IReplicaDocDriver, IReplicaDriver } from "./replica-types.js";
/** A replica driver which persists data to IndexedDB. */
export declare class ReplicaDriverWeb implements IReplicaDriver {
    docDriver: IReplicaDocDriver;
    attachmentDriver: IReplicaAttachmentDriver;
    constructor(shareAddress: ShareAddress, namespace?: string);
}
