export declare class PromiseEnroller<ReturnType> {
    private promises;
    private sealed;
    private multiDeferred;
    private allowRejectedPromises;
    constructor(allowRejectedPromises?: boolean);
    enrol(promise: Promise<ReturnType>): void;
    checkAllDone(): void;
    seal(): void;
    isSealed(): boolean;
    isDone(): import("../../deps.js").Deferred<unknown>;
}
