import DefaultCrypto from "./default_driver.npm.js";
//--------------------------------------------------
import { Logger } from "../util/log.js";
let logger = new Logger("crypto", "cyan");
//================================================================================
export let GlobalCryptoDriver = DefaultCrypto;
/** Set the crypto driver used for all cryptographic operations. */
export function setGlobalCryptoDriver(driver) {
    logger.debug(`set global crypto driver: ${driver.name}`);
    GlobalCryptoDriver = driver;
}
