"use strict";
// Copyright 2018-2022 the Deno authors. All rights reserved. MIT license.
/** This module is browser compatible. */
Object.defineProperty(exports, "__esModule", { value: true });
exports.descend = exports.ascend = void 0;
/** Compares its two arguments for ascending order using JavaScript's built in comparison operators. */
function ascend(a, b) {
    return a < b ? -1 : a > b ? 1 : 0;
}
exports.ascend = ascend;
/** Compares its two arguments for descending order using JavaScript's built in comparison operators. */
function descend(a, b) {
    return a < b ? 1 : a > b ? -1 : 0;
}
exports.descend = descend;
