/**
 * A verison of the ICrptoDriver interface backed by native Node crypto functions.
 * Requires a recent version of Node, perhaps 12+?
 * Does not work in the browser.
 */
export const CryptoDriverNode: {
    new (): {};
    sha256(input: any): Promise<Uint8Array>;
    updatableSha256(): any;
    generateKeypairBytes(): Promise<{
        pubkey: any;
        secret: any;
    }>;
    sign(keypairBytes: any, msg: any): Promise<Uint8Array>;
    verify(publicKey: any, sig: any, msg: any): Promise<boolean>;
};
