import { ShareAddress } from "../util/doc-types.js";
import { IReplicaAttachmentDriver, IReplicaDocDriver, IReplicaDriver } from "./replica-types.js";
/** A replica driver which stores data in memory. All data is lost when the replica is closed. */
export declare class ReplicaDriverMemory implements IReplicaDriver {
    docDriver: IReplicaDocDriver;
    attachmentDriver: IReplicaAttachmentDriver;
    constructor(shareAddress: ShareAddress);
}
